Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs
shacal2.h File Reference
`#include "seckey.h"`
`#include "secblock.h"`

Go to the source code of this file.

## Classes

struct | SHACAL2_Info
| _ More...
class | SHACAL2
| SHACAL-2 More...
class | SHACAL2::Base
class | SHACAL2::Enc
class | SHACAL2::Dec

## Typedefs

typedef SHACAL2::Encryption | SHACAL2Encryption
typedef SHACAL2::Decryption | SHACAL2Decryption

## Detailed Description

Definition in file shacal2.h.